Bug 140014 - cannot input ctrl-](0x1D) in Japanese locale
Summary: cannot input ctrl-](0x1D) in Japanese locale
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: im-sdk   
(Show other bugs)
Version: 3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Akira TAGOH
QA Contact: Bill Huang
URL:
Whiteboard:
Keywords: i18n
Depends On:
Blocks: IIIMF 137149
TreeView+ depends on / blocked
 
Reported: 2004-11-19 10:31 UTC by Tetsuya Kawamura
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version: im-sdk-12.1-10.EL
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-06 03:57:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tetsuya Kawamura 2004-11-19 10:31:58 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
Typing Ctrl-key and ]-key simultaneously in gnome-terminal does not
generate Ctrl-] (0x1D) when iiim is used as the input method in ja locale.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.login with ja locale
2. invoke gnome-terminal
3. select IIIM as the input method (if you have other setting)
4. telnet another system in gnome-terminal
   or invoke vi in gnome-terminal
5. type Ctrl-key and ]-key simultaneously
    

Actual Results:  Nothing happened

Expected Results:  If telnet is used in step.4, "telnet>" prompt
should be displayed.
If vi is used in step.4, tag search subcommand of vi should be done.

Additional info:

Comment 1 Akira TAGOH 2004-11-19 11:06:07 UTC
I can reproduce this problem on even en (default) LE. reassigning this
to the proper package.

Comment 2 Akira TAGOH 2004-11-22 08:22:55 UTC
this problem should be fixed in 12.1-9 in rawhide BTW. and hopefully
the package for fc3-updates will be available soon.

Comment 3 Lawrence Lim 2004-12-06 03:57:12 UTC
Confirm fixed in im-sdk-12.1-9. Also tested with im-sdk-12.1-10.EL.


Thanks.


Note You need to log in before you can comment on or make changes to this bug.